# Uses of Enum Class
com.sun.source.doctree.DocTree.Kind

Packages that use DocTree.Kind
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of DocTree.Kind in com.sun.source.doctree

Subclasses with type arguments of type DocTree.Kind in com.sun.source.doctree
Modifier and Type
Class
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.
Methods in com.sun.source.doctree that return DocTree.Kind
Modifier and Type
Method
Description
`DocTree.Kind`
DocTree.`getKind()`
Returns the kind of this tree.
`static DocTree.Kind`
DocTree.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocTree.Kind[]`
DocTree.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of DocTree.Kind in com.sun.source.util

Methods in com.sun.source.util with parameters of type DocTree.Kind
Modifier and Type
Method
Description
`RawTextTree`
DocTreeFactory.`newRawTextTree(DocTree.Kind kind, String code)`
Creates a new `RawTextTree` object, to represent a fragment of uninterpreted raw text.